plip_1.4.3~b+dfsg-2_all.deb


Advertisement

Description

plip - fully automated protein-ligand interaction profiler

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename plip_1.4.3~b+dfsg-2_all.deb
Package name plip
Package version 1.4.3~b+dfsg
Package release 2
Package architecture all
Package type deb
Category universe/python
Homepage https://projects.biotec.tu-dresden.de/plip-web/plip/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 65.33 KB
Installed size 300.00 KB
The Protein-Ligand Interaction Profiler (PLIP) is a tool to analyze
and visualize protein-ligand interactions in PDB files.
Features include:
* Detection of eight different types of noncovalent interactions
* Automatic detection of relevant ligands in a PDB file
* Direct download of PDB structures from wwPDB server if valid
PDB ID is given
* Processing of custom PDB files containing protein-ligand complexes
(e.g. from docking)
* No need for special preparation of a PDB file, works out of the box
* Atom-level interaction reports in rST and XML formats for easy parsing
* Generation of PyMOL session files (.pse) for each pairing, enabling easy
preparation of images for publications and talks
* Rendering of preview image for each ligand and its interactions
with the protein

Alternatives

Package Version Architecture Repository
plip_1.4.3~b+dfsg-2_all.deb 1.4.3~b+dfsg all Ubuntu Universe
plip - - -

Requires

Name Value
python-future -
python-lxml -
python-numpy -
python-openbabel -
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package plip_1.4.3~b+dfsg-2_all.deb
Source Package plip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install plip deb package:
    # sudo apt-get install plip

Files

Path
/usr/bin/plipcmd
/usr/lib/python2.7/dist-packages/plip/__init__.py
/usr/lib/python2.7/dist-packages/plip/plipcmd.py
/usr/lib/python2.7/dist-packages/plip-1.4.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/plip-1.4.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/plip-1.4.2.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/plip-1.4.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/plip-1.4.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/plip/modules/__init__.py
/usr/lib/python2.7/dist-packages/plip/modules/chimeraplip.py
/usr/lib/python2.7/dist-packages/plip/modules/config.py
/usr/lib/python2.7/dist-packages/plip/modules/detection.py
/usr/lib/python2.7/dist-packages/plip/modules/mp.py
/usr/lib/python2.7/dist-packages/plip/modules/plipremote.py
/usr/lib/python2.7/dist-packages/plip/modules/plipxml.py
/usr/lib/python2.7/dist-packages/plip/modules/preparation.py
/usr/lib/python2.7/dist-packages/plip/modules/pymolplip.py
/usr/lib/python2.7/dist-packages/plip/modules/report.py
/usr/lib/python2.7/dist-packages/plip/modules/supplemental.py
/usr/lib/python2.7/dist-packages/plip/modules/visualize.py
/usr/lib/python2.7/dist-packages/plip/modules/webservices.py
/usr/share/doc/plip/DOCUMENTATION.md.gz
/usr/share/doc/plip/README.md.gz
/usr/share/doc/plip/changelog.Debian.gz
/usr/share/doc/plip/copyright
/usr/share/man/man1/plipcmd.1.gz

Changelog

2018-10-16 - Steffen Moeller <moeller@debian.org>
plip (1.4.3~b+dfsg-2) unstable; urgency=medium
* Team upload.
* Hopefully fixed d/watch - who knows :o)
* Executable only works with python2, not 3
* Explicitly adding python-openbabel as a dependency to the binary
package, which was omitted by the automatisms in place.
2018-09-25 - Alexandre Mestiashvili <mestia@debian.org>
plip (1.4.3~b+dfsg-1) unstable; urgency=medium
* Update Files-Excluded section in d/copyright
* New upstream version 1.4.3~b+dfsg
* Check for nocheck in DEB_BUILD_OPTIONS for tests, s/plipcmd.py/plipcmd/
* Bump Policy to 4.2.1
2018-06-07 - Alexandre Mestiashvili <mestia@debian.org>
plip (1.4.2+dfsg-1) unstable; urgency=medium
* New upstream version 1.4.2+dfsg
2018-04-26 - Alexandre Mestiashvili <mestia@debian.org>
plip (1.4.1+dfsg-1) unstable; urgency=medium
* New upstream version 1.4.1+dfsg
* d/control:
- bump Policy to 4.1.4
- make pymol optional, remove from build-depends and depends
add to Suggests:
* Install docs shipped with source
2018-04-12 - Alexandre Mestiashvili <mestia@debian.org>
plip (1.4.0~b+dfsg-1) unstable; urgency=medium
[ Steffen Möller ]
* Updated RRID in d/u/metadata
[ Andreas Tille ]
* Remove invalid fields from debian/upstream/metadata
[ Alexandre Mestiashvili ]
* New upstream version 1.4.0~b+dfsg
* Update d/control:
- Add python-future build-dep
- Update uploader's email
- fix VCS-* fields to point to salsa
- Set debhelper and compat to 11
* Remove unused lintian override
2017-12-01 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
plip (1.3.5+dfsg-1) unstable; urgency=medium
* Bump Standards-Version to 4.1.1
* New upstream version 1.3.5+dfsg
* Update d/copyright, license changed from Apache-2.0 to GPL-2
* Update d/rules, use DEB_VERSION instead of dpkg-parsechangelog
* Override spelling-error-in-manpage warning
* Drop Testsuite: field from d/control, autopkgtest is enabled
by d/tests/control
2016-11-07 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
plip (1.3.3+dfsg-1) unstable; urgency=medium
* New upstream version 1.3.3+dfsg
* Enable xml-parser test
2016-09-19 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
plip (1.3.2+dfsg-1) unstable; urgency=medium
* Update copyright format
* Exclude pliplogo.(png|svg), the files are not used anywhere in the code
* New upstream version 1.3.2+dfsg
2016-05-13 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
plip (1.3.1+dfsg-1) unstable; urgency=medium
* Bump Standards-Version
* Imported Upstream version 1.3.1+dfsg
* Export local python modules, needed for man page generation with help2man
2016-03-24 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
plip (1.3.0a+dfsg-1) unstable; urgency=medium
[ Andreas Tille ]
* Fix Title in upstream metadata
[ Alexandre Mestiashvili]
* Initial release. Closes: #787739
* Use help2man to generate man page, remove manually created manpage
* d/control: Add python-openbabel, numpy, lxml and pymol to Build-Depends:
* d/rules: Install man page using help2man, run test
* d/changelog: New upstream release, merge unreleased changelog entries
* d/tests/*: Run autopkgtest, other tests require removed pdb files,
ignore for now
* d/watch: Add dversionmangle
* d/copyright: Use Files-Excluded: to remove pdb files due to unclear
license, remove pdb license and update copyright years

See Also

Package Description
plm_2.6+repack-3_all.deb Programming exerciser in Java, Python, Scala and others
ploop_1.15-6_amd64.deb tools to work with ploop devices and images
plopfolio.app_0.1.0-7build3_amd64.deb Personal dashboard for GNUstep
plotdrop_0.5.4-1_amd64.deb minimal GNOME frontend to GNUPlot
ploticus_2.42-4_amd64.deb script driven business graphics package
plotnetcfg_0.4.1-3_amd64.deb local networking configuration diagram plotter
plotutils_2.6-10_amd64.deb GNU plotutils command line tools based on libplot
plowshare-modules_0~git20180325.e4bd365-1_all.deb plowshare drivers for various file sharing websites
plowshare4_2.1.7-2_all.deb transitional dummy package
plowshare_2.1.7-2_all.deb download and upload files from file sharing websites
plplot-doc_5.14.0+dfsg-3_all.deb Documentation for PLplot, a plotting library
plplot-driver-cairo_5.14.0+dfsg-3_amd64.deb Scientific plotting library (Cairo driver)
plplot-driver-qt_5.14.0+dfsg-3_amd64.deb Scientific plotting library (Qt driver)
plplot-driver-wxwidgets_5.14.0+dfsg-3_amd64.deb Scientific plotting library (wxWidgets driver)
plplot-driver-xwin_5.14.0+dfsg-3_amd64.deb Scientific plotting library (X11 driver)
Advertisement
Advertisement